function OnWarpEnter() 
	
	SetMarker("cs\\Warp_0045.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0049.wp" , 0 , 0) 
	SetMarker("cs\\Warp_0055.wp" , 0 , 0) 

	if ETAT_DAY == "D3" then 

		if JEAN_AT_LIBRARY_0055_D3 then
			StartAnimationPart("ehc1",0,20,-1,false)
		end
	end 


	if ETAT_DAY == "D4" then 

		if JEAN_AT_LIBRARY_D4 then
			StartAnimationPart("ehc1",0,20,-1,false)
		end

	end
end

function OnWarpLeave()
end

function OnWarpObjectHit(objectName)

	if objectName == "3D\\cs\\Warp_0055.wp" then 
		if ETAT_DAY == "D2" then
			if O_notes_066 then
				ChangeWarp(objectName)
			end
		elseif JEAN_AT_LIBRARY_D4 then
			DrawText("Ma2656","Ma2656.ogg",0) -- Il est préférable d'en rester là pour le moment. Si c'est bien lui le meurtrier, j'ai intérêt à ne pas m'attarder en sa compagnie.
		else
			ChangeWarp(objectName)
		end
	end

	if objectName == "3D\\cs\\Warp_0045.wp" then 
		ChangeWarp(objectName)
	end

	if objectName == "3D\\cs\\Warp_0049.wp" then 
		ChangeWarp(objectName)
	end
end
